# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlSDL/SDLWindow.hpp File Reference

`#include <vl/OpenGLContext.hpp>`
`#include <vl/String.hpp>`
`#include <vl/Vector4.hpp>`
`#include <SDL.h>`

## Classes
class | vlSDL::SDLWindow
| The SDLWindow class implements an OpenGLContext using the SDL API. More...
## Namespaces
namespace | vlut
| Visualization Library utility namespace.

namespace | vlSDL
| The SDL bindings namespace.

## Functions
void | vlSDL::messageLoop ()

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:40 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.